/********************************************************************
 * Copyright(c) 2000 Broadcom Corporation, all rights reserved.
 * Contains proprietary and confidential information.
 *
 * This source file is the property of Broadcom Corporation, and
 * may not be copied or distributed in any isomorphic form without 
 * the prior written consent of Broadcom Corporation. 
 *
 *  FileName: $Header: /Source/Bcm44xx/b44diag/t3_diag.h 8     7/19/02 10:07a Ahui $
 *
 *  Description: This file contains each individual tests
 *
 *  $Log: /Source/Bcm44xx/b44diag/t3_diag.h $
 * 
 * 8     7/19/02 10:07a Ahui
 * Removed unused code
 * 
 * 7     5/29/02 6:34p Ahui
 * In manufacturing mode, external loopback test has been separated to 2
 * tests, C3 and C4.  C3 is 100BT and C4 is 10BT
 * 
 * 6     4/25/02 11:06a Ahui
 * 
 * 3     3/07/02 5:05p Ahui
 * Added sromutil support
 * 
 *****************************************************************/
#ifndef __t3_diag_h__
#define __t3_diag_h__

int indi_reg_test(void *);
int ctrl_reg_test(void *);
int diag_bist_test(void *);
int interrupt_test(void *);
int eeprom_rw_test(void *);
int MII_test(void *);
int Link_test(void *);
int LED_test(void *);
int IntLoop_test(void *);
int PhyLoop_test(void *);
int External_Loop_test_100(void *);
int External_Loop_test_10(void *);

#endif