; *******************************************************************/
; *
; * Copyright(c) 2000 Broadcom Corporation, all rights reserved.
; * Contains proprietary and confidential information.
; *
; * This source file is the property of Broadcom Corporation, and
; * may not be copied or distributed in any isomorphic form without 
; * the prior written consent of Broadcom Corporation. 
; *
; *
; *  Name: T 3 _ M I S C . A S M 
; *
; *  Description: This file contains utility routines.
; *
; *  AUTHOR: Kevin Tran
; *
; *  HISTORY:    Kevin Tran        08/01/2000   Created
; *
; *******************************************************************/

_TEXT   SEGMENT

public disable_intr_
public set_intr_

disable_intr_  proc
     pushf	
     cli
     pop ax
     shr ax,9
     and ax,01h
     ret
disable_intr_  endp

set_intr_  proc
     push bx
     pushf	
     pop bx		; Get Flags
     shl ax,9	
     or  ax,bx
     pop  bx
     push ax
     popf
     ret
set_intr_  endp

_TEXT   ENDS

END