/****************************************************************************
 * Copyright(c) 2000 Broadcom Corporation, all rights reserved.
 * Contains proprietary and confidential information.
 *
 * This source file is the property of Broadcom Corporation, and
 * may not be copied or distributed in any isomorphic form without 
 * the prior written consent of Broadcom Corporation. 
 *
 *
 *  Name: T 3 _ I N T R . C
 *  FileName: $Header: /Source/Bcm44xx/b44diag/t3_intr.h 6     4/25/02 11:05a Ahui $
 *
 *  Description: This file contains interrupt utility routines.
 * 
 *  AUTHOR: Kevin Tran
 *
 *  HISTORY:    Kevin Tran        07/01/2000   Created
 *  $Log: /Source/Bcm44xx/b44diag/t3_intr.h $
 * 
 * 6     4/25/02 11:05a Ahui
 * 
 * 3     3/07/02 5:05p Ahui
 * Added sromutil support
 *******************************************************************/
#ifndef __T3_INTR_H__
#define __T3_INTR_H__
#include "general.h"
#include "t3_gdata.h"
#include "t3_win.h"

void enable_poll_mode();
void disable_poll_mode();
void enable_interrupt(u08 irq);
void disable_interrupt(u08 irq);
void takeoverIntr(u08 intr);
void restore_interrupt(u08 irq_num);
void intr_init();
void intr_cleanup();
void enable_all_interrupt();
void init_dev_interrupt(); 

#endif