/****************************************************************************
 * Copyright(c) 2000 Broadcom Corporation, all rights reserved.
 * Contains proprietary and confidential information.
 *
 * This source file is the property of Broadcom Corporation, and
 * may not be copied or distributed in any isomorphic form without 
 * the prior written consent of Broadcom Corporation. 
 *
 *
 *  Name: T 3 _ P R T F . H
 *  FileName: $Header: /Source/Bcm44xx/b44diag/t3_prtf.h 4     7/19/02 10:07a Ahui $
 *
 *  Description: This file contains data structure and macro definitions
 *  for printf utility.
 *
 *  AUTHOR: Kevin Tran
 *
 *  HISTORY:    Kevin Tran        06/01/2000   Created
 *  $Log: /Source/Bcm44xx/b44diag/t3_prtf.h $
 * 
 * 4     7/19/02 10:07a Ahui
 * Removed unused code
 * 
 * 3     3/07/02 5:05p Ahui
 * Added sromutil support
 *******************************************************************/

#ifndef __T3_PRTF_H__
#define __T3_PRTF_H__

#include "types.h"
/************************************************************************
 *      printing function (indirection needed for some compilers)      *
 ************************************************************************/

int Printf  (s08 *fmt, ...);
int Eprintf (s08 *fmt, ...);
int Wprintf (s08 *fmt, ...);
int Dprintf (s08 *fmt, ...);
int Pprintf (s08 *fmt, ...);
int Iprintf (s08 *fmt, ...);
int Vprintf (int verbose, s08 *fmt, ...);
//int EVprintf(int verbose, s08 *fmt, ...);
int Uprintf (s08 *fmt, ...);

#define util_DbgPrintf Dprintf

#endif /*  __T3_PRTF_H__ */
